const express = require('express');
const router = express.Router();
const workerController = require('../controllers/workerController');

// 작업자 생성
router.post('/', workerController.createWorker);

// 전체 작업자 조회
router.get('/', workerController.getAllWorkers);

// 특정 작업자 조회
router.get('/:worker_id', workerController.getWorkerById);

// 작업자 업데이트
router.put('/:worker_id', workerController.updateWorker);

// 작업자 삭제
router.delete('/:worker_id', workerController.removeWorker);

module.exports = router;